GH-PR-COMMENT(1)

NAME

gh-pr-comment - Add a comment to a pull request

SYNOPSIS

gh pr comment [<number> | <url> | <branch>] [flags]

DESCRIPTION

Add a comment to a GitHub pull request.

Without the body text supplied through flags, the command will interactively prompt for the comment text.

OPTIONS

-b, --body <text>
    The comment body text

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

--edit-last
    Edit the last comment of the same author

-e, --editor
    Skip prompts and open the text editor to write the body in

-w, --web
    Open the web browser to write the comment

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    $ gh pr comment 13 --body "Hi from GitHub CLI"

SEE ALSO

gh-pr(1)